Organize Manifests
diff --git a/bundles/org.eclipse.wst.xsl.debug.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.wst.xsl.debug.ui/META-INF/MANIFEST.MF
index 0bd282d..e852617 100644
--- a/bundles/org.eclipse.wst.xsl.debug.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.wst.xsl.debug.ui/META-INF/MANIFEST.MF
@@ -6,21 +6,26 @@
 Bundle-Activator: org.eclipse.wst.xsl.internal.debug.ui.XSLDebugUIPlugin
 Require-Bundle: org.eclipse.ui;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.variables;bundle-version="[3.2.0,4.0.0)",
- org.eclipse.debug.core;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.debug.ui;bundle-version="[3.3.100,4.0.0)",
  org.eclipse.jdt.debug.ui;bundle-version="[3.3.0,4.0.0)",
- org.eclipse.jdt.launching;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.jface.text;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.ui.editors;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.ui.ide;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.ui.workbench.texteditor;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.wst.sse.ui;bundle-version="[1.1.0,2.0.0)",
  org.eclipse.wst.xsl.launching;bundle-version="[0.5.0,1.0.0)",
- org.eclipse.wst.xsl.debug;bundle-version="[0.5.0,1.0.0)",
  org.eclipse.ui.console;bundle-version="[3.2.0,4.0.0)"
 Eclipse-LazyStart: true
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-Localization: plugin
 Bundle-Vendor: %Bundle-Vendor.0
+Export-Package: org.eclipse.wst.xsl.internal.debug.ui;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.actions;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.breakpoint;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.model;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.preferences;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.tabs.formatter;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.tabs.main;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.tabs.output;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.tabs.processor;x-internal:=true,
+ org.eclipse.wst.xsl.internal.debug.ui.tabs.resolver;x-internal:=true
diff --git a/bundles/org.eclipse.wst.xsl.ui/META-INF/MANIFEST.MF b/bundles/org.eclipse.wst.xsl.ui/META-INF/MANIFEST.MF
index 252e744..bb0266e 100644
--- a/bundles/org.eclipse.wst.xsl.ui/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.wst.xsl.ui/META-INF/MANIFEST.MF
@@ -7,12 +7,9 @@
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.ui.editors;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.wst.xml.core;bundle-version="[1.1.300,2.0.0)",
  org.eclipse.ui.console;bundle-version="[3.2.0,4.0.0)",
- org.apache.xml.serializer;bundle-version="[2.7.1,2.8.0)",
  org.eclipse.debug.ui;bundle-version="[3.3.100,4.0.0)",
- org.eclipse.search;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.ui.navigator.resources;bundle-version="[3.3.0,4.0.0)",
  org.eclipse.wst.sse.ui;bundle-version="[1.1.0,2.0.0)",
  org.apache.xalan;bundle-version="[2.7.1,2.8.0)",
@@ -22,8 +19,7 @@
  org.eclipse.wst.xsl.core;bundle-version="[0.5.0,1.0.0)",
  org.eclipse.ui.workbench.texteditor;bundle-version="[3.4.0,4.0.0)",
  org.eclipse.wst.validation;bundle-version="[1.1.103,2.0.0)",
- org.eclipse.ui.ide;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.ui.navigator;bundle-version="3.3.100"
+ org.eclipse.ui.ide;bundle-version="[3.4.0,4.0.0)"
 Bundle-Vendor: %providerName
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Export-Package: org.eclipse.wst.xsl.ui.internal;x-internal:=true,
diff --git a/bundles/org.eclipse.wst.xsl.xalan/META-INF/MANIFEST.MF b/bundles/org.eclipse.wst.xsl.xalan/META-INF/MANIFEST.MF
index 8e1e415..f0922c7 100644
--- a/bundles/org.eclipse.wst.xsl.xalan/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.wst.xsl.xalan/META-INF/MANIFEST.MF
@@ -6,11 +6,13 @@
 Bundle-RequiredExecutionEnvironment: J2SE-1.4
 Bundle-Localization: plugin
 Bundle-Vendor: %Bundle-Vendor.0
-Export-Package: org.eclipse.wst.xsl.xalan.debugger
-Require-Bundle: org.apache.xml.serializer;bundle-version="2.7.1",
- org.apache.xml.resolver;bundle-version="[1.2.0,1.3.0)",
- org.apache.xerces;bundle-version="[2.9.0,3.0.0)",
- org.apache.commons.logging;bundle-version="1.0.4",
+Export-Package: org.eclipse.wst.xsl.xalan.debugger;
+  uses:="org.eclipse.wst.xsl.debugger,
+   org.apache.xpath,
+   org.apache.xalan.trace,
+   javax.xml.transform,
+   org.apache.xalan.templates"
+Require-Bundle: org.apache.xerces;bundle-version="[2.9.0,3.0.0)",
  org.apache.xalan;bundle-version="[2.7.0,2.8.0)",
  org.eclipse.wst.xsl.debug;bundle-version="[0.5.0,1.0.0)"
 Bundle-ClassPath: xalan-debugger.jar
diff --git a/docs/org.eclipse.wst.xsl.doc/META-INF/MANIFEST.MF b/docs/org.eclipse.wst.xsl.doc/META-INF/MANIFEST.MF
index 532ec5f..cba3e41 100644
--- a/docs/org.eclipse.wst.xsl.doc/META-INF/MANIFEST.MF
+++ b/docs/org.eclipse.wst.xsl.doc/META-INF/MANIFEST.MF
@@ -9,3 +9,4 @@
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.4
 Bundle-Vendor: Eclipse
+Export-Package: org.eclipse.wst.xsl.doc;uses:="org.osgi.framework,org.eclipse.ui.plugin,org.eclipse.jface.resource"